SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000904: RAID: reinstallation causes raid to block installation until sync is finished - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000904Endian FirewallHardware related (kernel, drivers, hardware)public2008-06-03 15:402010-11-22 11:49
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.4Fixed in Version2.4 
Summary0000904: RAID: reinstallation causes raid to block installation until sync is finished
Descriptionwhen a system will be reinstalled which has disks which have been within a raid before, the installer will block during installation and wait until the raid have been completely rebuild. (may take about 70 hours, with 160G disks)

When this happens, the kernel gives this error:
md: created mdX
md: bind <hdaX>
md: bind <hdcX>
md: running: <hdcX><hdaX>
md: mdX: raid array is not clean -- starting background reconstruction
md: personality for level 1 is not loaded!
md: do_md_run() returned -22
md: mdX: stopped.
md: unbind<mdX>

i think this is the following bug: http://lkml.org/lkml/2007/12/27/45 [^] .. page includes kernel-patch which seems to fix the problem.


Probably it is also sufficient to do the following within installer before creation of the new md devices:

mdadm --zero-superblock /dev/hda1
mdadm --zero-superblock /dev/hda3
mdadm --zero-superblock /dev/hda4
mdadm --zero-superblock /dev/hdc1
mdadm --zero-superblock /dev/hdc3
mdadm --zero-superblock /dev/hdc4

After this the disks should be non-raid disks and no kernel should start reconstruction of the raid .. (?)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001281)
peter-endian (administrator)
2008-06-03 15:41

kernel needs to be patched or upgraded
(0004807)
peter-endian (administrator)
2010-09-21 19:46

kernel is upgraded now

- Issue History
Date Modified Username Field Change
2008-06-03 15:40 peter-endian New Issue
2008-06-03 15:40 peter-endian Issue generated from: 0000882
2008-06-03 15:41 peter-endian Note Added: 0001281
2008-09-10 16:03 chris-endian Target Version 2.3 => future
2010-01-21 18:36 peter-endian Status new => acknowledged
2010-01-21 18:36 peter-endian Target Version future => codename: angry armadillo
2010-09-21 19:46 peter-endian Note Added: 0004807
2010-09-21 19:46 peter-endian Status acknowledged => resolved
2010-09-21 19:46 peter-endian Fixed in Version => 2.4
2010-09-21 19:46 peter-endian Resolution open => fixed
2010-09-21 19:46 peter-endian Assigned To => peter-endian
2010-11-22 11:49 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker